## basket 0.9.2

=== DESCRIPTION ===
Package: basket
Title: Basket Trial Analysis
Version: 0.9.2
Authors@R: c(
  person("Nan", "Chen",
         email = "nchen2@mdanderson.org",
         role = c("aut")),
  person("Brian", "Hobbs",
         email = "HobbsB@ccf.org",
         role = c("aut")),
  person("Alex", "Kaizer",
         email = "alex.kaizer@ucdenver.edu",
         role = c("aut")),
  person("Michael J.", "Kane",
         email = "michael.kane@yale.edu",
         role = c("aut", "cre"),
         comment = c(ORCID = "http://orcid.org/0000-0003-1899-6662")))
Description: Implementation of multisource exchangeability models for Bayesian analyses of prespecified subgroups arising in the context of basket trial design and monitoring.  The R 'basket' package facilitates implementation of the binary, symmetric multi-source exchangeability model (MEM) with posterior inference arising from both exact computation and Markov chain Monte Carlo sampling. Analysis output includes full posterior samples as well as posterior probabilities, highest posterior density (HPD) interval boundaries, effective sample sizes (ESS), mean and median estimations, posterior exchangeability probability matrices, and maximum a posteriori MEMs. In addition to providing "basketwise" analyses, the package includes similar calculations for "clusterwise" analyses for which subgroups are combined into meta-baskets, or clusters, using graphical clustering algorithms that treat the posterior exchangeability probabilities as edge weights. In addition plotting tools are provided to visualize basket and cluster densities as well as their exchangeability.  References include Hyman, D.M., Puzanov, I., Subbiah, V., Faris, J.E., Chau, I., Blay, J.Y., Wolf, J., Raje, N.S., Diamond, E.L., Hollebecque, A. and Gervais, R (2015) <doi:10.1056/NEJMoa1502309>; Hobbs, B.P. and Landin, R. (2018) <doi:10.1002/sim.7893>; Hobbs, B.P., Kane, M.J., Hong, D.S. and Landin, R. (2018) <doi:10.1093/annonc/mdy457>; and Kaizer, A.M., Koopmeiners, J.S. and Hobbs, B.P. (2017) <doi:10.1093/biostatistics/kxx031>.
Depends: R (>= 3.4.0)
License: LGPL-2
Maintainer: Michael J. Kane <michael.kane@yale.edu>
Imports: GenSA, foreach, ggplot2, stats, tibble, tidyr, dplyr, igraph,
        gridExtra, itertools, crayon, cli
LazyData: true
Encoding: UTF-8
RoxygenNote: 6.1.1
URL: https://github.com/kaneplusplus/basket
BugReports: https://github.com/kaneplusplus/basket/issues
Suggests: knitr, rmarkdown, testthat, doParallel
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-05-11 23:28:08 UTC; mike
Author: Nan Chen [aut],
  Brian Hobbs [aut],
  Alex Kaizer [aut],
  Michael J. Kane [aut, cre] (<https://orcid.org/0000-0003-1899-6662>)
Repository: CRAN
Date/Publication: 2019-05-14 13:50:03 UTC
