## basket 0.10.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: basket
 Title: Basket Trial Analysis
-Version: 0.9.10
+Version: 0.10.1
 Authors@R: c(
   person(given = "Nan", 
          family = "Chen",
@@ -24,19 +24,20 @@
 License: LGPL-2
 Maintainer: Michael J. Kane <michael.kane@yale.edu>
 Imports: GenSA, foreach, ggplot2, stats, tibble, tidyr, dplyr, igraph,
-        gridExtra, itertools, crayon, cli, RColorBrewer
+        gridExtra, itertools, crayon, cli, RColorBrewer, tidygraph,
+        ggraph, rlang
 LazyData: true
 Encoding: UTF-8
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 URL: https://github.com/kaneplusplus/basket
 BugReports: https://github.com/kaneplusplus/basket/issues
 Suggests: knitr, rmarkdown, testthat, doParallel
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-10-22 20:07:46 UTC; mike
+Packaged: 2020-03-10 22:10:03 UTC; mike
 Author: Nan Chen [aut],
   Brian Hobbs [aut],
   Alex Kaizer [aut],
   Michael J. Kane [aut, cre] (<https://orcid.org/0000-0003-1899-6662>)
 Repository: CRAN
-Date/Publication: 2019-10-23 07:40:02 UTC
+Date/Publication: 2020-03-11 05:40:02 UTC
