## basket 0.10.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Package: basket
 Title: Basket Trial Analysis
-Version: 0.10.2
+Version: 0.10.11
 Authors@R: c(
   person(given = "Nan", 
          family = "Chen",
          email = "nchen2@mdanderson.org",
          role = c("aut")),
+  person(given = "Ryan", 
+         family = "Hafen",
+         email = "rhafen@gmail.com",
+         role = c("ctb")),
   person(given = "Brian", 
          family = "Hobbs",
          email = "HobbsB@ccf.org",
@@ -28,16 +32,18 @@
         ggraph,
 LazyData: true
 Encoding: UTF-8
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.2
 URL: https://github.com/kaneplusplus/basket
 BugReports: https://github.com/kaneplusplus/basket/issues
-Suggests: knitr, rmarkdown, testthat, doParallel
+Suggests: knitr, rmarkdown, testthat (>= 3.0.0), doParallel
 VignetteBuilder: knitr
+Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2020-04-06 17:39:25 UTC; mike
+Packaged: 2021-10-14 19:42:41 UTC; mike
 Author: Nan Chen [aut],
+  Ryan Hafen [ctb],
   Brian Hobbs [aut],
   Alex Kaizer [aut],
   Michael J. Kane [aut, cre] (<https://orcid.org/0000-0003-1899-6662>)
 Repository: CRAN
-Date/Publication: 2020-04-07 09:50:13 UTC
+Date/Publication: 2021-10-16 23:30:22 UTC
