=== debian/changelog ===
basket (1.80-1) unstable; urgency=low

  * New upstream release.

  [ Luigi Toscano ]
  * Cleanup the build system, switch to debhelper 7 and "3.0 (quilt)" format.
  * Remove patches: 
    - 03_lib_link, 04_am_maintainer_mode, 
      05_allow_newer_automake_and_autoconf, 06_autoconf2.64: 
      no more needed (new build system);
    - 12_desktop, 13_add_da.po, 16_basket_kontact_compat,
      17_mimetype: merged upstream;
    - 15_fix_gcc4.3: no more needed.
  * Refresh patch: 14_update_es_po.
  * Add patch: 18_no_kde3_libs (only Q3Support is needed, not kde3support)
  * Update copyright, bump Standards-Version to 3.8.4
  * Rename README.Debian as README.source.
  * Add lintian-overrides file.
  * Add myself to Uploaders.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 30 May 2010 20:55:54 +0200

basket (1.0.2-8) unstable; urgency=low

  * Hack around autoconf2.64 changes. More hacks. Thanks to pld-linux.
  * Allow automake 1.11 usage. and 1.12. and 1.13. and...
    (Closes: #543095)
  * Adapt to new menu structure. (Closes: 496058)
  * Add ; to desktop file. (Closes: 507803)

 -- Sune Vuorela <debian@pusling.com>  Tue, 01 Sep 2009 21:25:53 +0200

basket (1.0.2-7) unstable; urgency=low

  * Hack around teh libtool changes. Now builds. But kind of a hack.
    (Closes: #527814)

 -- Sune Vuorela <debian@pusling.com>  Sat, 09 May 2009 12:12:02 +0200

basket (1.0.2-6) unstable; urgency=low

  * Yay for Lenny. Remove kontact plugin.

 -- Sune Vuorela <debian@pusling.com>  Sun, 15 Feb 2009 12:15:01 +0100

basket (1.0.2-5) unstable; urgency=low

  * Also allow automake 1.10 usage - and just build-dep on automake i
    (Closes: #487981)
  * Bye bye ana

 -- Sune Vuorela <debian@pusling.com>  Wed, 25 Jun 2008 20:11:23 +0200

basket (1.0.2-4) unstable; urgency=low

  * Split kontact integration out to a separate package, so basket can be used
    without kde3-kontact installed. Useful in a kde4 environment.

 -- Sune Vuorela <debian@pusling.com>  Sun, 25 May 2008 21:08:36 +0200

basket (1.0.2-3) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Relibtoolize on build. much easier. This also fixes double build(Closes: #442503)
  * Fix kontact integration (Closes: #469596)
  * Remove watch file (Closes: #449699)
  * Build against kontact that is fixed concerning third party plugins

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 11 Mar 2008 23:39:35 +0100

basket (1.0.2-2) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]
  * Apply patch to fix FTBFS with GCC 4.3. Thanks to Martin Michlmayr.
    (Closes: #421209)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 29 May 2007 12:47:58 +0100

basket (1.0.2-1) unstable; urgency=low

  [ Sune Vuorela ]
  * Add da.po as debian/patches/13_add_da.po.diff. Thanks to Martin Schlander.

  [ Ana Beatriz Guerrero Lopez ]
  * Add 14_update_es_po.diff updating spanish translation. Thanks to Enrique Matías.
  * Buildprep.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 24 Apr 2007 16:37:48 +0100

basket (1.0.1-1) experimental; urgency=low

  * New upstream release. 
  * Fix offset patch 12_desktop.diff

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 29 Mar 2007 13:32:00 +0000

basket (1.0-1) experimental; urgency=low

  * New upstream version.
    - final 1.0 version.
  * The ana-please-pass-your-exam-this-is-your-miracle release.

 -- Sune Vuorela <debian@pusling.com>  Sun, 11 Feb 2007 12:35:24 +0100

basket (1.0~rc2-1) experimental; urgency=low

  * New upstream release:
    - Removed 10_dont_spam_stderr and 11_match_kde3.5.6_kontact,
      merged upstream.
    - Fixed offset patch 12_desktop.diff.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon,  5 Feb 2007 05:05:50 +0100

basket (1.0~beta3-1) experimental; urgency=low

  * New upstream version. (Closes: #395900)
  * Package now maintained by the Debian KDE Extras Team.
  
  [ Ana Beatriz Guerrero Lopez ]
  * Remove unnecessary file debian/Makefile.
  * Update compat to 5.
  * Bumped Standards-Version to 3.7.2, no changes required.
  * Update dep on kdebase-dev to kdelibs4-dev.
  * Add build-dep on kdepim-dev to get kontact integration.
  * Add build-dep on libgpgme11-dev to support encryption.
  * Package description:
    - Change short description.
    - Add basket's homepage.
  * Not install empty file NEWS.
  * Rewrite debian/rules file.
  * Improve debian/copyright file.
  * Versioned build-deps in kdelibs4-dev and kdepim-dev to build against 3.5.6
    (so Sune's changes will work).
  * Patched desktop file to include Categories and moved to right place.

  [ Sune Vuorela ]
  * Add quilt to build-dep - we better need a patch system. This also required
    changes to rules.
  * Add a 10_dont_spam_stderr patch to not be that verbose on stderr. It uses
    kdDebug() now to report those.
  * Add a 11_match_kde3.5.6_kontact patch to make the kontact plugin work with 
    kontact 3.5.6 - kdepim people have bumped their internal versionings.
  * Write new and improved manpage (Derived from help2man). (Closes: #405569)
  * Improve copyright file.
  * Minor changes to rules file.
  * Relibtoolization - and a need to fix parts of the build system.
    (New libtool put in thru patch 02, patch 03 fixes build system relying on 
    broken libtool and the big buildprep as patch 98.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 03 Feb 2007 07:41:48 +0100

basket (0.5.0-6) unstable; urgency=low

  * Acknowledge NMU. Thanks!
    Nothing more to be done (at least until upstream releases 0.6)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 11 May 2006  1:08:16 +0200

basket (0.5.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added -Wl,--as-needed as ldflags (Closes: #349480)
  * Trimmed build-depends to not include stuff from
    kdebase dependency line

 -- Sune Vuorela <debian@pusling.com>  Fri, 21 Apr 2006 21:25:43 +0000


