## basket 1.81

=== debian/changelog ===
basket (1.81-3) unstable; urgency=low

  * Split arch-independent data into basket-data package.
    - add basket.install and basket-data.install; rename docs and menu to
      basket.docs and basket.menu respectively; adapt control file.
    - as a consequence, simplify rules by removing override_dh_auto_install
      and the variables used by that section; it was needed to remove one
      symbolic link which is not included in the *.install files anymore.
  * Add override no-symbols-control-file (libbasketcommon is private).
  * Change order of parameters of dh command in rules file to be
    compatible with debhelper>7.
  * Fix day of the week in previous changelog entry.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Thu, 05 Apr 2012 01:50:31 +0200

basket (1.81-2) unstable; urgency=high

  [ Luigi Toscano ]
  * Update standard version to 3.9.3. No changes required.
  * Add support for parallel build.
  * Add watch file.
  * Fix lintian warnings (description-synopsis-starts-with-article,
    manpage-has-bad-whatis-entry).
  * Add DEP-3 headers to 14_update_es_po.
  * Fix "experimental" instead of "unstable" in the previous changelog entry.
  * Urgency set to high to fix a RC bug (closes: #587544).
  * Upload to unstable.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sat, 31 Mar 2012 17:44:05 +0200

basket (1.81-1) experimental; urgency=low

  [ Luigi Toscano ]
  * New upstream release.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 08 Oct 2010 16:53:44 +0200
