=== debian/watch ===
version=3

opts=filenamemangle=s/.*\?file=(.*)$/$1\.tar\.bz2/ \
  http://basket.kde.org/ downloads/\?file=basket-(.+)
