=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
     formatimporter.cpp
     global.cpp
     htmlexporter.cpp
+    history.cpp
     kcolorcombo2.cpp
     keyboard.cpp
     kgpgme.cpp
@@ -66,6 +67,7 @@
   ${KDE4_KFILE_LIBS}
   ${KDE4_PHONON_LIBRARY}
   ${QIMAGEBLITZ_LIBRARIES}
+  ${X11_LIBRARIES}
   ${GPGME_VANILLA_LIBRARIES})
 
 if(Q_WS_X11)
