=== debian/changelog ===
basket (2.0~beta2-0ubuntu3) saucy; urgency=low

  * debian/patches/12_desktop.patch: Remove, the upstream desktop
    file got fixed and our patch is causing errors. (LP: #1198961)

 -- Andreas Moog <amoog@ubuntu.com>  Tue, 23 Jul 2013 22:22:12 +0200

basket (2.0~beta2-0ubuntu2) oneiric; urgency=low

  * Build-Depends on libx11-dev to fix FTBFS

 -- Angel Abad <angelabad@ubuntu.com>  Sat, 20 Aug 2011 15:49:59 +0200

basket (2.0~beta2-0ubuntu1) natty; urgency=low

  * New upstream beta release:
    - Add kubuntu_01_disable_tests.diff to fix the build
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16
    - Remove quilt build-dependency
  * Switch from cdbs-based debian/rules to pkg-kde-tools' dh7 kde sequence
    - Remove cdbs build-dependency
    - Add build-dependency on pkg-kde-tools (>= 0.5.0)
  * Remove incorrect homepage field from within the package long description

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 29 Dec 2010 20:24:32 -0500

basket (2.0~beta1-0ubuntu1) lucid; urgency=low

  * New upstream beta release (LP: #544849)
  * debian/control: Add libgpgme11-dev to build-depends
  * Remove patches now applied:
    - 69afc21ff8b11414a81d6eba873282d7313fc158.diff
    - eb583ecfac011f213010e2b4bad27cfa389348e5.diff

 -- Andreas Wenning <awen@awen.dk>  Tue, 06 Apr 2010 14:55:24 +0200

basket (2.0~20102801-0ubuntu2) lucid; urgency=low

  * Add 69afc21ff8b11414a81d6eba873282d7313fc158.diff (LP: 536781)
    - Work-around KDE 4.4 change making creation of notes impossible.
    - From basket developer private branch:
      http://gitorious.org/~robertm/basket/robertm-basket/
  * Add eb583ecfac011f213010e2b4bad27cfa389348e5.diff
    - Make it possible to restore basket when started hidden.
    - From basket developer private branch:
      http://gitorious.org/~robertm/basket/robertm-basket/

 -- Andreas Wenning <awen@awen.dk>  Thu, 11 Mar 2010 13:08:06 +0100

basket (2.0~20102801-0ubuntu1) lucid; urgency=low

  * New upstream git snapshot of KDE4 version. (LP: #500360)
  * Drop patches not applicaple anymore:
    - 03_lib_link.diff
    - 04_am_maintainer_mode.diff
    - 05_allow_newer_automake_and_autoconf.diff
    - 14_update_es_po.diff
    - 16_basket_kontact_compat.diff
  * Adapt packaging for KDE4.
  * Generate new manpage using help2man.

 -- Andreas Wenning <awen@awen.dk>  Sun, 31 Jan 2010 22:47:39 +0100

basket (1.0.3.1-0ubuntu3) karmic; urgency=low

  * debian/patches/05_allow_newer_automake_and_autoconf.diff (LP: #447245):
    - Add support for automake 1.11.
    - Fix build failures with autoconf 2.64.

 -- Simon Olofsson <simon@olofsson.de>  Tue, 13 Oct 2009 15:12:49 +0200

basket (1.0.3.1-0ubuntu2) karmic; urgency=low

  * install a menu icon (LP: #189424)

 -- Simon Olofsson <simon@olofsson.de>  Tue, 07 Jul 2009 10:43:31 +0200

basket (1.0.3.1-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Update debian/patches/12_desktop.diff
  * Remove debian/patches/15_fix_gcc4.3.diff applied upstream
  * Remove debian/patches/13_add_da.po.diff applied upstream
  * debian/rules: Don't move around basket.desktop; upstream got it right

 -- Andreas Wenning <awen@awen.dk>  Wed, 29 Apr 2009 05:48:39 +0200

basket (1.0.2-5ubuntu1) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure
  * debian/control:
    - Remove build-depends on kdepim-dev as it is now kde4
    - Don't build package basket-kontact-integration
  * debian/rules:
    - Change the path for ltmain.sh to /usr/share/libtool/config/ltmain.sh
    - Change the path for libtool.m4 to /usr/share/aclocal/libtool.m4
    - Remove all basket-kontact-integration related parts
  * Remove basket-kontact-integration.install

 -- Andreas Wenning <awen@awen.dk>  Mon, 02 Feb 2009 16:37:59 +0100
