=== debian/control ===
Source: basket
Section: kde
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdepimlibs5-dev, libqimageblitz-dev, kdelibs5-dev, libgpgme11-dev, libx11-dev
Standards-Version: 3.8.0
Homepage: http://basket.kde.org

Package: basket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a multi-purpose note-taking application for KDE
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it.
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects
 you want in one place, keep data on hand, take notes...
