## basket 2.10~beta+git6fed731

=== debian/changelog ===
basket (2.10~beta+git6fed731-1ubuntu1) vivid; urgency=medium

  * debian/control: Build-depend on shared-mime-info to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 23 Dec 2014 03:38:53 -0500

basket (2.10~beta+git6fed731-1) unstable; urgency=medium

  * New git snapshot: drop patches included upstream:
    - 19a-cmake-fix-installation-of-XDG-mimetypes-XML.patch
    - 19b-cmake-remove-installation-of-basket.desktop-using-xd.patch
  * Refresh patch: 14_update_es_po.
  * Add patch to fix MIME XML:
    - 20-Remove-root-XML-tag-from-application-x-basket-item.patch
  * The debian repository is on git, Vcs-Svn has been replaced by Vcs-Git
    and Vcs-Browser has been updated.
  * Update standard version to 3.9.6. No changes required.
  * Update manpage (authors, bug address, version, application name, typos).
  * Add explicit build dependency to kdelibs5-dev, it seems it helps with
    using the dummy phonon backend during compilation.
  * Add compiler flags to enable as-needed linking.
  * Remove README.source, mostly outdated.
  * Upload to unstable.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 19 Oct 2014 21:49:04 +0200

basket (2.10~beta-1) experimental; urgency=medium

  [ Mark Purcell ]
  * debian/control add Vcs: headers
  * Add myself to Uploaders:
  * debian/compat -> 9

  [ Luigi Toscano ]
  * New upstream version: 2.10~beta.
  * Updated copyright, watch, *.install, basket.docs files.
  * Fix Vcs-Svn header in debian/control.
  * Update standard version to 3.9.5. No changes required.
  * Add required dependency to pkg-config.
  * Remove patch: 18_no_kde3_libs (obsolete).
  * Add patches to properly install XDG files (thanks Pino):
    - 19a-cmake-fix-installation-of-XDG-mimetypes-XML.patch
    - 19b-cmake-remove-installation-of-basket.desktop-using-xd.patch
  * Update lintian overrides.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 20 Jul 2014 16:26:33 +0200
