=== debian/control ===
Source: basket
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Sune Vuorela <debian@pusling.com>, Luigi Toscano <luigi.toscano@tiscali.it>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, libx11-dev, pkg-config, libqimageblitz-dev,
 kdelibs5-dev, kdepimlibs5-dev (>=4:4.4.3), libgpgme11-dev, shared-mime-info
Homepage: http://basket.kde.org/
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/basket.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/basket.git

Package: basket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 basket-data (>=${source:Version})
Description: multi-purpose note-taking application for KDE
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it. 
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects 
 you want in one place, keep data on hand, take notes...

Package: basket-data
Architecture: all
Depends: ${misc:Depends}
Replaces: basket (<< 1.81-3~)
Breaks: basket (<< 1.81-3~)
Description: data files for BasKet Notepads
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it. 
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects 
 you want in one place, keep data on hand, take notes...
 .
 This package contains arch independent data for Basket.
