## basket 2.10~beta+git20150905.faa6dce

=== backgrounds/CMakeLists.txt ===

install(FILES  abstract.png  	alien-artifact.png alien-artifact.png.config  	basket-title.png  	green-curves.png  	light.png  	painting.png  	pens.png  	pins.png  	rainbow-balls.png  	rounds-line.png  	strings.png  	todo.png  	working.png DESTINATION ${DATA_INSTALL_DIR}/basket/backgrounds)
