=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${QIMAGEBLITZ_INCLUDES} ${GPGME_INCLUDES})
-add_subdirectory(tests)
 
 ########### next target ###############
 
@@ -8,11 +7,12 @@
     archive.cpp
     backgroundmanager.cpp
     backup.cpp
-    basketview.cpp
     basketfactory.cpp
     basketlistview.cpp
     basketproperties.cpp
+    basketscene.cpp
     basketstatusbar.cpp
+    basketview.cpp
     bnpview.cpp
     colorpicker.cpp
     crashhandler.cpp
@@ -24,10 +24,10 @@
     focusedwidgets.cpp
     formatimporter.cpp
     global.cpp
+    gitwrapper.cpp
     htmlexporter.cpp
     history.cpp
     kcolorcombo2.cpp
-    keyboard.cpp
     kgpgme.cpp
     likeback.cpp
     linklabel.cpp
@@ -51,7 +51,23 @@
     xmlwork.cpp
 )
 
-kde4_add_ui_files(basketcommon_LIB_SRCS passwordlayout.ui)
+set(PIMO_CPP "") # One of the generated files
+
+IF(HAVE_NEPOMUK)
+  include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src" ${NEPOMUK_INCLUDES} ${SOPRANO_INCLUDE_DIR})
+  include(SopranoAddOntology)
+  soprano_add_ontology(basketcommon_LIB_SRCS ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nie.trig "NIE" "Soprano::Vocabulary" "trig")
+  soprano_add_ontology(basketcommon_LIB_SRCS ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nfo.trig "NFO" "Soprano::Vocabulary" "trig")
+  soprano_add_ontology(basketcommon_LIB_SRCS ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/pimo/pimo.trig "PIMO" "Soprano::Vocabulary" "trig")
+  
+  list(LENGTH basketcommon_LIB_SRCS SRCS_LENGTH)
+  math(EXPR SRCS_LENGTH "${SRCS_LENGTH} - 1")
+  list(GET basketcommon_LIB_SRCS ${SRCS_LENGTH} PIMO_CPP) # PIMO_CPP = last element
+  
+  list(INSERT basketcommon_LIB_SRCS 10 nepomukintegration.cpp)
+ENDIF(HAVE_NEPOMUK)
+
+kde4_add_ui_files(basketcommon_LIB_SRCS passwordlayout.ui basketproperties.ui)
 
 QT4_ADD_DBUS_ADAPTOR(basketcommon_LIB_SRCS org.basket.BNPView.xml bnpview.h BNPView)
 
@@ -60,7 +76,6 @@
 kde4_add_library(basketcommon SHARED ${basketcommon_LIB_SRCS})
 
 target_link_libraries(basketcommon
-  ${KDE4_KDE3SUPPORT_LIBS} # Remove me
   ${KDE4_KIO_LIBS}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KPARTS_LIBS}
@@ -74,9 +89,22 @@
     target_link_libraries(basketcommon ${X11_X11_LIB})
 endif(Q_WS_X11)
 
+IF(HAVE_NEPOMUK)
+  target_link_libraries(basketcommon ${NEPOMUK_LIBRARIES} ${SOPRANO_LIBRARIES})
+ENDIF(HAVE_NEPOMUK)
+
 set_target_properties(basketcommon PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
 
 install(TARGETS basketcommon DESTINATION ${LIB_INSTALL_DIR})
+
+# Add unit tests after all variables have been set.
+# If we save target_link_libraries to a variable, we can reuse it too
+
+# Soprano files must exist, otherwise tests won't build
+set(FILES_GENERATED (EXISTS ${PIMO_CPP}))
+if(${FILES_GENERATED})
+  add_subdirectory(tests)
+endif(${FILES_GENERATED})
 
 ########### next target ###############
 
@@ -84,11 +112,15 @@
 
 kde4_add_executable(basket ${basket_SRCS})
 target_link_libraries(basket
-  ${KDE4_KDE3SUPPORT_LIBS} # Remove me as well
   ${KDE4_KUTILS_LIBS}
   ${KDE4_KFILE_LIBS}
   ${KDE4_PHONON_LIBRARY}
   basketcommon)
+
+IF(LIBGIT2_FOUND)
+  target_link_libraries(basketcommon ${LIBGIT2_LIBRARIES})
+  target_link_libraries(basket ${LIBGIT2_LIBRARIES})
+ENDIF(LIBGIT2_FOUND)
 
 install(TARGETS basket DESTINATION ${BIN_INSTALL_DIR})
 
@@ -98,7 +130,7 @@
 
 kde4_add_plugin(kcm_basket ${kcm_basket_PART_SRCS})
 
-target_link_libraries(kcm_basket ${QT_QT3SUPPORT_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} basketcommon)
+target_link_libraries(kcm_basket ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} basketcommon)
 
 install(TARGETS kcm_basket DESTINATION ${PLUGIN_INSTALL_DIR})
 
@@ -110,7 +142,7 @@
 
 kde4_add_plugin(basketpart WITH_PREFIX ${basketpart_PART_SRCS})
 
-target_link_libraries(basketpart ${KDE4_KPARTS_LIBS} basketcommon kparts kdeui ${QT_QT3SUPPORT_LIBRARY})
+target_link_libraries(basketpart ${KDE4_KPARTS_LIBS} basketcommon kparts kdeui)
 
 install(TARGETS basketpart DESTINATION ${PLUGIN_INSTALL_DIR})
 
@@ -122,7 +154,7 @@
 
 add_dependencies(kontact_basketplugin basket)
 
-target_link_libraries(kontact_basketplugin ${KDE4_CORE_LIBS} ${KDEPIMLIBS_KONTACTINTERFACE_LIBS} kdepim basketcommon kparts kdeui ${KDE4_KPARTS_LIBS})
+target_link_libraries(kontact_basketplugin ${KDE4_CORE_LIBS} ${KDEPIMLIBS_KONTACTINTERFACE_LIBS} basketcommon kparts kdeui ${KDE4_KPARTS_LIBS})
 
 install(TARGETS kontact_basketplugin DESTINATION ${PLUGIN_INSTALL_DIR})
 install(FILES basket_plugin.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kontact)
