=== debian/changelog ===
basket (2.10~beta+git20150905.faa6dce-1) unstable; urgency=medium

  * New git snapshot.
  * Switch to a proper versioning schema (<date>.<gitsnapshot>).
  * Add explicit dependency on shared-mime-info, which was most likely
    implicitly dragged in by some other dependency in the past, and
    also on libsoprano-dev, which was installed by kdelibs5-dev
    (Closes: #796415, #773779).
  * Drop patch 20-Remove-root-XML-tag-from-application-x-basket-item.patch,
    included upstream.
  * Remove TODO from documentation (not user oriented).

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 06 Sep 2015 00:07:53 +0200
