=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: basket
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Sune Vuorela <debian@pusling.com>, Luigi Toscano <luigi.toscano@tiscali.it>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, libx11-dev, pkg-config, libqimageblitz-dev,
- kdelibs5-dev, kdepimlibs5-dev (>=4:4.4.3), libgpgme11-dev, shared-mime-info
+ shared-mime-info, libsoprano-dev, kdelibs5-dev, kdepimlibs5-dev (>=4:4.4.3), libgpgme11-dev
 Homepage: http://basket.kde.org/
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/basket.git
